package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CmsAudioGuide;

/**
 * 语音导览管理Mapper接口
 * 
 * @author libao
 * @date 2024-05-09
 */
public interface CmsAudioGuideMapper 
{
    /**
     * 查询语音导览管理
     * 
     * @param id 语音导览管理主键
     * @return 语音导览管理
     */
    public CmsAudioGuide selectCmsAudioGuideById(Long id);

    /**
     * 查询语音导览管理列表
     * 
     * @param cmsAudioGuide 语音导览管理
     * @return 语音导览管理集合
     */
    public List<CmsAudioGuide> selectCmsAudioGuideList(CmsAudioGuide cmsAudioGuide);

    /**
     * 新增语音导览管理
     * 
     * @param cmsAudioGuide 语音导览管理
     * @return 结果
     */
    public int insertCmsAudioGuide(CmsAudioGuide cmsAudioGuide);

    /**
     * 修改语音导览管理
     * 
     * @param cmsAudioGuide 语音导览管理
     * @return 结果
     */
    public int updateCmsAudioGuide(CmsAudioGuide cmsAudioGuide);

    /**
     * 删除语音导览管理
     * 
     * @param id 语音导览管理主键
     * @return 结果
     */
    public int deleteCmsAudioGuideById(Long id);

    /**
     * 批量删除语音导览管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsAudioGuideByIds(Long[] ids);
}
