package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CmsMaterialGroup;

/**
 * 素材分组管理Mapper接口
 * 
 * @author libao
 * @date 2024-05-09
 */
public interface CmsMaterialGroupMapper 
{
    /**
     * 查询素材分组管理
     * 
     * @param groupId 素材分组管理主键
     * @return 素材分组管理
     */
    public CmsMaterialGroup selectCmsMaterialGroupByGroupId(Long groupId);

    /**
     * 查询素材分组管理列表
     * 
     * @param cmsMaterialGroup 素材分组管理
     * @return 素材分组管理集合
     */
    public List<CmsMaterialGroup> selectCmsMaterialGroupList(CmsMaterialGroup cmsMaterialGroup);

    /**
     * 新增素材分组管理
     * 
     * @param cmsMaterialGroup 素材分组管理
     * @return 结果
     */
    public int insertCmsMaterialGroup(CmsMaterialGroup cmsMaterialGroup);

    /**
     * 修改素材分组管理
     * 
     * @param cmsMaterialGroup 素材分组管理
     * @return 结果
     */
    public int updateCmsMaterialGroup(CmsMaterialGroup cmsMaterialGroup);

    /**
     * 删除素材分组管理
     * 
     * @param groupId 素材分组管理主键
     * @return 结果
     */
    public int deleteCmsMaterialGroupByGroupId(Long groupId);

    /**
     * 批量删除素材分组管理
     * 
     * @param groupIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsMaterialGroupByGroupIds(Long[] groupIds);
}
