package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CmsMaterialUse;

/**
 * 素材使用记录Mapper接口
 * 
 * @author libao
 * @date 2024-05-09
 */
public interface CmsMaterialUseMapper 
{
    /**
     * 查询素材使用记录
     * 
     * @param id 素材使用记录主键
     * @return 素材使用记录
     */
    public CmsMaterialUse selectCmsMaterialUseById(Long id);

    /**
     * 查询素材使用记录列表
     * 
     * @param cmsMaterialUse 素材使用记录
     * @return 素材使用记录集合
     */
    public List<CmsMaterialUse> selectCmsMaterialUseList(CmsMaterialUse cmsMaterialUse);

    /**
     * 新增素材使用记录
     * 
     * @param cmsMaterialUse 素材使用记录
     * @return 结果
     */
    public int insertCmsMaterialUse(CmsMaterialUse cmsMaterialUse);

    /**
     * 修改素材使用记录
     * 
     * @param cmsMaterialUse 素材使用记录
     * @return 结果
     */
    public int updateCmsMaterialUse(CmsMaterialUse cmsMaterialUse);

    /**
     * 删除素材使用记录
     * 
     * @param id 素材使用记录主键
     * @return 结果
     */
    public int deleteCmsMaterialUseById(Long id);

    /**
     * 批量删除素材使用记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsMaterialUseByIds(Long[] ids);
}
