package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CmsTags;

/**
 * 语音标签管理Mapper接口
 * 
 * @author libao
 * @date 2024-05-09
 */
public interface CmsTagsMapper 
{
    /**
     * 查询语音标签管理
     * 
     * @param tagId 语音标签管理主键
     * @return 语音标签管理
     */
    public CmsTags selectCmsTagsByTagId(Long tagId);

    /**
     * 查询语音标签管理列表
     * 
     * @param cmsTags 语音标签管理
     * @return 语音标签管理集合
     */
    public List<CmsTags> selectCmsTagsList(CmsTags cmsTags);

    /**
     * 新增语音标签管理
     * 
     * @param cmsTags 语音标签管理
     * @return 结果
     */
    public int insertCmsTags(CmsTags cmsTags);

    /**
     * 修改语音标签管理
     * 
     * @param cmsTags 语音标签管理
     * @return 结果
     */
    public int updateCmsTags(CmsTags cmsTags);

    /**
     * 删除语音标签管理
     * 
     * @param tagId 语音标签管理主键
     * @return 结果
     */
    public int deleteCmsTagsByTagId(Long tagId);

    /**
     * 批量删除语音标签管理
     * 
     * @param tagIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsTagsByTagIds(Long[] tagIds);
}
