package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CmsArticle;

/**
 * 文章管理Service接口
 * 
 * @author libao
 * @date 2024-05-09
 */
public interface ICmsArticleService 
{
    /**
     * 查询文章管理
     * 
     * @param id 文章管理主键
     * @return 文章管理
     */
    public CmsArticle selectCmsArticleById(Long id);

    /**
     * 查询文章管理列表
     * 
     * @param cmsArticle 文章管理
     * @return 文章管理集合
     */
    public List<CmsArticle> selectCmsArticleList(CmsArticle cmsArticle);

    /**
     * 新增文章管理
     * 
     * @param cmsArticle 文章管理
     * @return 结果
     */
    public int insertCmsArticle(CmsArticle cmsArticle);

    /**
     * 修改文章管理
     * 
     * @param cmsArticle 文章管理
     * @return 结果
     */
    public int updateCmsArticle(CmsArticle cmsArticle);

    /**
     * 批量删除文章管理
     * 
     * @param ids 需要删除的文章管理主键集合
     * @return 结果
     */
    public int deleteCmsArticleByIds(Long[] ids);

    /**
     * 删除文章管理信息
     * 
     * @param id 文章管理主键
     * @return 结果
     */
    public int deleteCmsArticleById(Long id);
}
