package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CmsCategory;

/**
 * 文章分类管理Service接口
 *
 * @author libao
 * @date 2024-05-09
 */
public interface ICmsCategoryService
{
    /**
     * 查询文章分类管理
     *
     * @param categoryId 文章分类管理主键
     * @return 文章分类管理
     */
    public CmsCategory selectCmsCategoryByCategoryId(Long categoryId);

    /**
     * 查询文章分类管理列表
     *
     * @param cmsCategory 文章分类管理
     * @return 文章分类管理集合
     */
    public List<CmsCategory> selectCmsCategoryList(CmsCategory cmsCategory);

    /**
     * 新增文章分类管理
     *
     * @param cmsCategory 文章分类管理
     * @return 结果
     */
    public int insertCmsCategory(CmsCategory cmsCategory);

    /**
     * 修改文章分类管理
     *
     * @param cmsCategory 文章分类管理
     * @return 结果
     */
    public int updateCmsCategory(CmsCategory cmsCategory);

    /**
     * 批量删除文章分类管理
     *
     * @param categoryIds 需要删除的文章分类管理主键集合
     * @return 结果
     */
    public int deleteCmsCategoryByCategoryIds(Long[] categoryIds);

    /**
     * 删除文章分类管理信息
     *
     * @param categoryId 文章分类管理主键
     * @return 结果
     */
    public int deleteCmsCategoryByCategoryId(Long categoryId);

    List<CmsCategory> listWithTree();
}
