package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CmsAlbumMaterialMapper;
import com.ruoyi.system.domain.CmsAlbumMaterial;
import com.ruoyi.system.service.ICmsAlbumMaterialService;

/**
 * 相册关联素材表Service业务层处理
 * 
 * @author libao
 * @date 2024-05-11
 */
@Service
public class CmsAlbumMaterialServiceImpl implements ICmsAlbumMaterialService 
{
    @Autowired
    private CmsAlbumMaterialMapper cmsAlbumMaterialMapper;

    /**
     * 查询相册关联素材表
     * 
     * @param id 相册关联素材表主键
     * @return 相册关联素材表
     */
    @Override
    public CmsAlbumMaterial selectCmsAlbumMaterialById(Long id)
    {
        return cmsAlbumMaterialMapper.selectCmsAlbumMaterialById(id);
    }

    /**
     * 查询相册关联素材表列表
     * 
     * @param cmsAlbumMaterial 相册关联素材表
     * @return 相册关联素材表
     */
    @Override
    public List<CmsAlbumMaterial> selectCmsAlbumMaterialList(CmsAlbumMaterial cmsAlbumMaterial)
    {
        return cmsAlbumMaterialMapper.selectCmsAlbumMaterialList(cmsAlbumMaterial);
    }

    /**
     * 新增相册关联素材表
     * 
     * @param cmsAlbumMaterial 相册关联素材表
     * @return 结果
     */
    @Override
    public int insertCmsAlbumMaterial(CmsAlbumMaterial cmsAlbumMaterial)
    {
        return cmsAlbumMaterialMapper.insertCmsAlbumMaterial(cmsAlbumMaterial);
    }

    /**
     * 修改相册关联素材表
     * 
     * @param cmsAlbumMaterial 相册关联素材表
     * @return 结果
     */
    @Override
    public int updateCmsAlbumMaterial(CmsAlbumMaterial cmsAlbumMaterial)
    {
        return cmsAlbumMaterialMapper.updateCmsAlbumMaterial(cmsAlbumMaterial);
    }

    /**
     * 批量删除相册关联素材表
     * 
     * @param ids 需要删除的相册关联素材表主键
     * @return 结果
     */
    @Override
    public int deleteCmsAlbumMaterialByIds(Long[] ids)
    {
        return cmsAlbumMaterialMapper.deleteCmsAlbumMaterialByIds(ids);
    }

    /**
     * 删除相册关联素材表信息
     * 
     * @param id 相册关联素材表主键
     * @return 结果
     */
    @Override
    public int deleteCmsAlbumMaterialById(Long id)
    {
        return cmsAlbumMaterialMapper.deleteCmsAlbumMaterialById(id);
    }
}
