package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CmsArticleContentMapper;
import com.ruoyi.system.domain.CmsArticleContent;
import com.ruoyi.system.service.ICmsArticleContentService;

/**
 * 文章内容管理Service业务层处理
 * 
 * @author libao
 * @date 2024-05-09
 */
@Service
public class CmsArticleContentServiceImpl implements ICmsArticleContentService 
{
    @Autowired
    private CmsArticleContentMapper cmsArticleContentMapper;

    /**
     * 查询文章内容管理
     * 
     * @param id 文章内容管理主键
     * @return 文章内容管理
     */
    @Override
    public CmsArticleContent selectCmsArticleContentById(String id)
    {
        return cmsArticleContentMapper.selectCmsArticleContentById(id);
    }

    /**
     * 查询文章内容管理列表
     * 
     * @param cmsArticleContent 文章内容管理
     * @return 文章内容管理
     */
    @Override
    public List<CmsArticleContent> selectCmsArticleContentList(CmsArticleContent cmsArticleContent)
    {
        return cmsArticleContentMapper.selectCmsArticleContentList(cmsArticleContent);
    }

    /**
     * 新增文章内容管理
     * 
     * @param cmsArticleContent 文章内容管理
     * @return 结果
     */
    @Override
    public int insertCmsArticleContent(CmsArticleContent cmsArticleContent)
    {
        return cmsArticleContentMapper.insertCmsArticleContent(cmsArticleContent);
    }

    /**
     * 修改文章内容管理
     * 
     * @param cmsArticleContent 文章内容管理
     * @return 结果
     */
    @Override
    public int updateCmsArticleContent(CmsArticleContent cmsArticleContent)
    {
        return cmsArticleContentMapper.updateCmsArticleContent(cmsArticleContent);
    }

    /**
     * 批量删除文章内容管理
     * 
     * @param ids 需要删除的文章内容管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsArticleContentByIds(String[] ids)
    {
        return cmsArticleContentMapper.deleteCmsArticleContentByIds(ids);
    }

    /**
     * 删除文章内容管理信息
     * 
     * @param id 文章内容管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsArticleContentById(String id)
    {
        return cmsArticleContentMapper.deleteCmsArticleContentById(id);
    }
}
