package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CmsAudioGuideMapper;
import com.ruoyi.system.domain.CmsAudioGuide;
import com.ruoyi.system.service.ICmsAudioGuideService;

/**
 * 语音导览管理Service业务层处理
 * 
 * @author libao
 * @date 2024-05-09
 */
@Service
public class CmsAudioGuideServiceImpl implements ICmsAudioGuideService 
{
    @Autowired
    private CmsAudioGuideMapper cmsAudioGuideMapper;

    /**
     * 查询语音导览管理
     * 
     * @param id 语音导览管理主键
     * @return 语音导览管理
     */
    @Override
    public CmsAudioGuide selectCmsAudioGuideById(Long id)
    {
        return cmsAudioGuideMapper.selectCmsAudioGuideById(id);
    }

    /**
     * 查询语音导览管理列表
     * 
     * @param cmsAudioGuide 语音导览管理
     * @return 语音导览管理
     */
    @Override
    public List<CmsAudioGuide> selectCmsAudioGuideList(CmsAudioGuide cmsAudioGuide)
    {
        return cmsAudioGuideMapper.selectCmsAudioGuideList(cmsAudioGuide);
    }

    /**
     * 新增语音导览管理
     * 
     * @param cmsAudioGuide 语音导览管理
     * @return 结果
     */
    @Override
    public int insertCmsAudioGuide(CmsAudioGuide cmsAudioGuide)
    {
        cmsAudioGuide.setCreateTime(DateUtils.getNowDate());
        return cmsAudioGuideMapper.insertCmsAudioGuide(cmsAudioGuide);
    }

    /**
     * 修改语音导览管理
     * 
     * @param cmsAudioGuide 语音导览管理
     * @return 结果
     */
    @Override
    public int updateCmsAudioGuide(CmsAudioGuide cmsAudioGuide)
    {
        cmsAudioGuide.setUpdateTime(DateUtils.getNowDate());
        return cmsAudioGuideMapper.updateCmsAudioGuide(cmsAudioGuide);
    }

    /**
     * 批量删除语音导览管理
     * 
     * @param ids 需要删除的语音导览管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsAudioGuideByIds(Long[] ids)
    {
        return cmsAudioGuideMapper.deleteCmsAudioGuideByIds(ids);
    }

    /**
     * 删除语音导览管理信息
     * 
     * @param id 语音导览管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsAudioGuideById(Long id)
    {
        return cmsAudioGuideMapper.deleteCmsAudioGuideById(id);
    }
}
