package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CmsTagsMapper;
import com.ruoyi.system.domain.CmsTags;
import com.ruoyi.system.service.ICmsTagsService;

/**
 * 语音标签管理Service业务层处理
 * 
 * @author libao
 * @date 2024-05-09
 */
@Service
public class CmsTagsServiceImpl implements ICmsTagsService 
{
    @Autowired
    private CmsTagsMapper cmsTagsMapper;

    /**
     * 查询语音标签管理
     * 
     * @param tagId 语音标签管理主键
     * @return 语音标签管理
     */
    @Override
    public CmsTags selectCmsTagsByTagId(Long tagId)
    {
        return cmsTagsMapper.selectCmsTagsByTagId(tagId);
    }

    /**
     * 查询语音标签管理列表
     * 
     * @param cmsTags 语音标签管理
     * @return 语音标签管理
     */
    @Override
    public List<CmsTags> selectCmsTagsList(CmsTags cmsTags)
    {
        return cmsTagsMapper.selectCmsTagsList(cmsTags);
    }

    /**
     * 新增语音标签管理
     * 
     * @param cmsTags 语音标签管理
     * @return 结果
     */
    @Override
    public int insertCmsTags(CmsTags cmsTags)
    {
        return cmsTagsMapper.insertCmsTags(cmsTags);
    }

    /**
     * 修改语音标签管理
     * 
     * @param cmsTags 语音标签管理
     * @return 结果
     */
    @Override
    public int updateCmsTags(CmsTags cmsTags)
    {
        return cmsTagsMapper.updateCmsTags(cmsTags);
    }

    /**
     * 批量删除语音标签管理
     * 
     * @param tagIds 需要删除的语音标签管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsTagsByTagIds(Long[] tagIds)
    {
        return cmsTagsMapper.deleteCmsTagsByTagIds(tagIds);
    }

    /**
     * 删除语音标签管理信息
     * 
     * @param tagId 语音标签管理主键
     * @return 结果
     */
    @Override
    public int deleteCmsTagsByTagId(Long tagId)
    {
        return cmsTagsMapper.deleteCmsTagsByTagId(tagId);
    }
}
